cascading.util

## Class MultiMap<C extends java.util.Collection<V>,K,V>

- java.lang.Object
- - cascading.util.MultiMap<C,K,V>

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    SetMultiMap, SortedListMultiMap

      public abstract class MultiMap<C extends java.util.Collection<V>,K,V>
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAll(K key, java.util.Collection<V> values)`
    `void` | `addAll(K key, V... values)`
    `void` | `addAll(MultiMap<C,K,V> sourceMap)`
    `boolean` | `containsKey(K key)`
    `protected abstract C` | `createCollection()`
    `protected abstract java.util.Map<K,C>` | `createMap()`
    `protected abstract C` | `emptyCollection()`
    `boolean` | `equals(java.lang.Object object)`
    `C` | `getAllValues(K... keys)`
    `java.util.Set<java.util.Map.Entry<K,C>>` | `getEntries()`
    `java.util.Set<K>` | `getKeys()`
    `java.util.Set<K>` | `getKeysFor(V value)`
    `protected java.util.Map<K,C>` | `getMap()`
    `protected C` | `getMultiValues(K key)`
    `C` | `getValues()`
    `C` | `getValues(K key)`
    `boolean` | `hadKey(K key, V value)`
    `int` | `hashCode()`
    `boolean` | `hasKey(V value)`
    `boolean` | `isEmpty()`
    `void` | `put(K key, V value)`
    `C` | `remove(K key)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiMap

          public MultiMap()

  - ### Method Detail

    - #### getMap

          protected java.util.Map<K,C> getMap()

    - #### createMap

          protected abstract java.util.Map<K,C> createMap()

    - #### createCollection

          protected abstract C createCollection()

    - #### emptyCollection

          protected abstract C emptyCollection()

    - #### containsKey

          public boolean containsKey(K key)

    - #### getKeys

          public java.util.Set<K> getKeys()

    - #### getEntries

          public java.util.Set<java.util.Map.Entry<K,C>> getEntries()

    - #### addAll

          public void addAll(MultiMap<C,K,V> sourceMap)

    - #### put

          public void put(K key,
                 V value)

    - #### remove

          public C remove(K key)

    - #### getMultiValues

          protected C getMultiValues(K key)

    - #### addAll

          public void addAll(K key,
                    V... values)

    - #### addAll

          public void addAll(K key,
                    java.util.Collection<V> values)

    - #### getValues

          public C getValues()

    - #### getValues

          public C getValues(K key)

    - #### getAllValues

          public C getAllValues(K... keys)

    - #### getKeysFor

          public java.util.Set<K> getKeysFor(V value)

    - #### hasKey

          public boolean hasKey(V value)

    - #### hadKey

          public boolean hadKey(K key,
                       V value)

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.